|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QDesignerCustomWidgetCollectionInterface Class Reference
[QtDesigner module]

The QDesignerCustomWidgetCollectionInterface class provides an interface that is used to manage collections of custom widgets in Qt Designer. More...

    #include <QDesignerCustomWidgetCollectionInterface>

- List of all members, including inherited members

### Public Functions

- virtual ~QDesignerCustomWidgetCollectionInterface ()
- virtual QList<QDesignerCustomWidgetInterface *> customWidgets () const = 0

## Detailed Description

The QDesignerCustomWidgetCollectionInterface class provides an interface that is used to manage collections of custom widgets in Qt Designer.

## Member Function Documentation

### QDesignerCustomWidgetCollectionInterface::~QDesignerCustomWidgetCollectionInterface () `[virtual]`

Destroys the interface.

### QList<QDesignerCustomWidgetInterface *> QDesignerCustomWidgetCollectionInterface::customWidgets () const `[pure virtual]`

Returns a list of interfaces to the custom widgets in the container.